var nuevosCargados=false;
var bajaCargados=false;
var dptosDirecc="";
jQuery(function($){
	$("#dialogoEspera").hide();	
});

$("#bt_buscarDpto").bind("click", buscarDptos);
$("#bt_buscarDirecc").bind("click", buscarDirecc);
$("#bt_actualizar").bind("click", actualizar);

function buscarDptos(){
	dptosDirecc="";
	$("#colDepart").hide();
	$("#colCodStr").hide();
	$("#col1").show();
	//$("#colDirecc").hide();
	$("#colCodStrDir").hide();
	$("#col2").show();
	
	nuevosCargados=false;
	bajaCargados=false;
	$("#dialogoEspera").show();	
	
	$("#cambiosDirecc").hide();
	$("#cambiosDptos").hide();
	$("#tablaAdd").hide();
	$("#tablaBajas").hide();
	$("#botonActualizar").hide();
	
	  var resultado="";
	//Buscar departamentos nuevos
	$.ajax({
  		type: "POST",
          url: "/aa20bMaqPartesWar/procesosXLNET/obtenerDptosNuevosXLNET",
          dataType: "json",
          async: true,
          
          success: function(data) {
        	  //tablaAddContenido
        	  for(var i=0; i<data.length;i++){
        		  resultado+="<tr>";
        		  resultado+="<td class='borde'></td>";
        		  resultado+="<td class='borde'>"+data[i].codigo+"</td>";
        		  resultado+="<td class='borde'>"+data[i].descC+"</td>";
        		  resultado+="<td class='borde'>"+data[i].descE+"</td>";
        		  resultado+="</tr>";
        		  
        	  }
        	  if (data.length>0){
        		  $("#idNuevos").html($.rup.i18n.app.mensajesProcEsp.nuevosDptos);
            	  $("#tablaAddContenido").html(resultado);
            	  $("#tablaAdd").show();
            	  $("#cambiosDptos").hide();
            	  $("#botonActualizar").show();
        	  }
        	  nuevosCargados=true;
        	  if (bajaCargados){
        		  $("#dialogoEspera").hide();  
        		  dptosDirecc="DPTOS";
        	  }
          },
          error: function (XMLHttpRequest, textStatus, errorThrown) {
        	  alert ("Error al obtener departamentos nuevos");
        		resultado=false;
        		$("#dialogoEspera").hide();	
        		$("#cambiosDptos").hide();
		}
	});	
	
	  var resultadoBajas="";
	//Buscar departamentos a dar de baja
	$.ajax({
  		type: "POST",
          url: "/aa20bMaqPartesWar/procesosXLNET/obtenerDptosBajaXLNET",
          dataType: "json",
          async: true,
          
          success: function(dataB) {
        	  //tablaBajasContenido
        	  for(var B=0; B<dataB.length;B++){
        		  resultadoBajas+="<tr>";
        		  resultadoBajas+="<td class='borde'></td>";
        		  resultadoBajas+="<td class='borde'>"+dataB[B].iddepar+"</td>";
        		  resultadoBajas+="<td class='borde'>"+dataB[B].cdepar+"</td>";
        		  resultadoBajas+="<td class='borde'>"+dataB[B].edepar+"</td>";
        		  resultadoBajas+="</tr>";
        		  
        	  }
        	  if (dataB.length>0){
        		  $("#idBajas").html($.rup.i18n.app.mensajesProcEsp.bajaDptos);
            	  $("#tablaBajasContenido").html(resultadoBajas);
            	  $("#tablaBajas").show();
            	  $("#cambiosDptos").hide();
            	  $("#botonActualizar").show();
        	  }
        	  bajaCargados=true;
        	  if (nuevosCargados){
        		  $("#dialogoEspera").hide();  
        		  dptosDirecc="DPTOS";
        	  }

          },
          error: function (XMLHttpRequest, textStatus, errorThrown) {
        	  alert ("error al obtner departamentos Baja");
        	  resultadoBajas=false;
        		$("#dialogoEspera").hide();	
        		$("#cambiosDptos").hide();
		}
	});	

}

function buscarDirecc(){
	dptosDirecc="";
	$("#colDepart").show();
	$("#colCodStr").show();
	$("#col1").hide();
	//$("#colDirecc").show();
	$("#colCodStrDir").show();
	$("#col2").hide();

	
	nuevosCargados=false;
	bajaCargados=false;
	$("#dialogoEspera").show();	
	
	$("#cambiosDirecc").hide();
	$("#cambiosDptos").hide();
	$("#tablaAdd").hide();
	$("#tablaBajas").hide();
	$("#botonActualizar").hide();

	  
	  var resultadoDirecc="";
	//Buscar Direcciones nuevos
	$.ajax({
  		type: "POST",
          url: "/aa20bMaqPartesWar/procesosXLNET/obtenerDireccNuevosXLNET",
          dataType: "json",
          async: true,
          
          success: function(dataDireccNuevos) {
        	  //tablaAddContenido
        	  for(var i=0; i<dataDireccNuevos.length;i++){
        		  resultadoDirecc+="<tr>";
        		  resultadoDirecc+="<td class='borde'>"+dataDireccNuevos[i].descDptoC+"</td>";
        		  resultadoDirecc+="<td class='borde'>"+dataDireccNuevos[i].codCog+"</td>";
        		  resultadoDirecc+="<td class='borde'>"+dataDireccNuevos[i].codigo+"</td>";
        		  resultadoDirecc+="<td class='borde'>"+dataDireccNuevos[i].descC+"</td>";
        		  resultadoDirecc+="<td class='borde'>"+dataDireccNuevos[i].descE+"</td>";
        		  resultadoDirecc+="</tr>";
        		  
        	  }
        	  if (dataDireccNuevos.length>0){
        		  $("#idNuevos").html($.rup.i18n.app.mensajesProcEsp.nuevosDirecc);
            	  $("#tablaAddContenido").html(resultadoDirecc);
            	  $("#tablaAdd").show();
            	  $("#cambiosDirecc").hide();
            	  $("#botonActualizar").show();
        	  }
        	  nuevosCargados=true;
        	  if (bajaCargados){
        		  $("#dialogoEspera").hide();  
        		  dptosDirecc="DIRECC";
        	  }

          },
          error: function (XMLHttpRequest, textStatus, errorThrown) {
        	  alert ("error al obtner Direcciones nuevas");
        	  resultadoDirecc=false;
        		$("#dialogoEspera").hide();	
        		$("#cambiosDirecc").hide();
		}
	});	
	
	  var resultadoDireccBajas="";
	//Buscar direcciones a dar de baja
	$.ajax({
  		type: "POST",
          url: "/aa20bMaqPartesWar/procesosXLNET/obtenerDireccBajaXLNET",
          dataType: "json",
          async: true,
          
          success: function(dataB) {
        	  //tablaBajasContenido
        	  for(var B=0; B<dataB.length;B++){
        		  resultadoDireccBajas+="<tr>";
        		  //resultadoDireccBajas+="<td class='borde'>"+dataB[B].iddepar+"</td>";
        		  resultadoDireccBajas+="<td class='borde'>"+dataB[B].codestrUs+"</td>";
        		  resultadoDireccBajas+="<td class='borde'>"+dataB[B].cidir+"</td>";
        		  resultadoDireccBajas+="<td class='borde'>"+dataB[B].cdir+"</td>";
        		  resultadoDireccBajas+="<td class='borde'>"+dataB[B].edir+"</td>";
        		  resultadoDireccBajas+="</tr>";
        		  
        	  }
        	  if (dataB.length>0){
        		  $("#idBajas").html($.rup.i18n.app.mensajesProcEsp.bajaDirecc);
            	  $("#tablaBajasContenido").html(resultadoDireccBajas);
            	  $("#tablaBajas").show();
            	  $("#cambiosDirecc").hide();
            	  $("#botonActualizar").show();
        	  }
        	  
        	  bajaCargados=true;
        	  if (nuevosCargados){
        		  $("#dialogoEspera").hide();  
        		  dptosDirecc="DIRECC";
        	  }

          },
          error: function (XMLHttpRequest, textStatus, errorThrown) {
        	  alert ("error al obtner direcciones Baja");
        	  resultadoDireccBajas=false;
        		$("#dialogoEspera").hide();	
        		$("#cambiosDirecc").hide();
		}
	});	

}

function actualizar(){
	$("#dialogoEspera").show();	
	if (dptosDirecc=="DPTOS"){
		$.ajax({
	  		type: "POST",
	          url: "/aa20bMaqPartesWar/procesosXLNET/actualizarDptosXLNET",
	          dataType: "json",
	          async: true,
	          success: function(dataB) {
	        	  $("#dialogoEspera").hide();	
	        		$("#cambiosDirecc").hide();
	        		$("#cambiosDptos").hide();
	        		$("#tablaAdd").hide();
	        		$("#tablaBajas").hide();
	        		$("#botonActualizar").hide();
	        	  
	        	  alert($.rup.i18n.app.mensajesProcEsp.actualizados);
	          },
	          error: function (XMLHttpRequest, textStatus, errorThrown) {
	        	  $("#dialogoEspera").hide();	
	        	  alert("error");
	          }
		});	
	}
	
	if (dptosDirecc=="DIRECC"){
		$.ajax({
	  		type: "POST",
	          url: "/aa20bMaqPartesWar/procesosXLNET/actualizarDireccXLNET",
	          dataType: "json",
	          async: true,
	          success: function(dataB) {
	        	  $("#dialogoEspera").hide();	
	        		$("#cambiosDirecc").hide();
	        		$("#cambiosDptos").hide();
	        		$("#tablaAdd").hide();
	        		$("#tablaBajas").hide();
	        		$("#botonActualizar").hide();
	        	  alert($.rup.i18n.app.mensajesProcEsp.actualizados);
	          },
	          error: function (XMLHttpRequest, textStatus, errorThrown) {
	        	  $("#dialogoEspera").hide();	
	        	  alert("error");
	          }
		});	
	}

}
